--- old/usr/src/cmd/mandoc/config.h	Fri Jul 25 15:00:11 2014
+++ new/usr/src/cmd/mandoc/config.h	Fri Jul 25 15:00:11 2014
@@ -7,10 +7,7 @@
 
 #include <stdio.h>
 
-#define HAVE_STRPTIME
-#define HAVE_GETSUBOPT
-#define HAVE_STRLCAT
-#define HAVE_STRLCPY
+#define VERSION "1.12.3"
 
 #include <sys/types.h>
 
@@ -29,14 +26,16 @@
 #  endif
 #endif
 
-#if defined(__APPLE__)
-# define htobe32(x) OSSwapHostToBigInt32(x)
-# define betoh32(x) OSSwapBigToHostInt32(x)
-# define htobe64(x) OSSwapHostToBigInt64(x)
-# define betoh64(x) OSSwapBigToHostInt64(x)
-#elif defined(__linux__)
-# define betoh32(x) be32toh(x)
-# define betoh64(x) be64toh(x)
+#ifndef HAVE_BETOH64
+#  if defined(__APPLE__)
+#    define betoh64(x) OSSwapBigToHostInt64(x)
+#    define htobe64(x) OSSwapHostToBigInt64(x)
+#  elif defined(__sun)
+#    define betoh64(x) BE_64(x)
+#    define htobe64(x) BE_64(x)
+#  else
+#    define betoh64(x) be64toh(x)
+#  endif
 #endif
 
 #ifndef HAVE_STRLCAT
